package com.ruoyi.common.core.domain.model;

import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;

@Getter
@Setter
public class LoginBaseUser implements Serializable {
    private Long userId;
    private String userType;

    public String getLoginId() {
        if (userId == null) {
            throw new IllegalArgumentException("用户ID不能为空");
        }
        return getUserType() + ":" + userId;
    }

}
